<?php

/**
 * Page d'authentification
 *
 * @package PLX
 * @author	Stephane F et Florent MONTHEL
 **/

# Variable pour retrouver la page d'authentification
$auth_page = true;

include('prepend.php');

# Dconnexion
if (!empty($_GET['d'])) {
	$_SESSION = array();
	session_destroy();
}

# Authentification
if (!empty($_POST['login']) AND !empty($_POST['pwd'])) {
	# On rcupre les comptes
	$pwd = $plxAdmin->getPasswd(PLX_ROOT.$plxAdmin->aConf['passwords']);
	$login = (string)plxUtils::unSlash($_POST['login']);
	if(md5(plxUtils::unSlash($_POST['pwd'])) == @$pwd[$login]) {
		$_SESSION['admin'] = '1';
		$_SESSION['author'] = $login;
		$_SESSION['pass'] = $pwd[$login];
		$_SESSION['hash'] = plxUtils::charAleatoire(10);
		header('Location: ./');
	} else {
		$msg = 'Nom et/ou mot de passe incorrect';
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
<title>Pluxml - Page d'authentification</title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo strtolower(PLX_CHARSET); ?>" />
<link rel="stylesheet" type="text/css" href="admin.css" media="screen" />
</head>

<body>

<form action="auth.php" method="post" id="auth">
	<fieldset>
		<legend>Connexion &agrave; la zone d'administration :</legend>
		<?php (!empty($msg))?plxUtils::showMsg($msg):''; ?>
		<label>Nom d'utilisateur&nbsp;:</label>
		<?php plxUtils::printInput('login', (!empty($_POST['login']))?plxUtils::unSlash(htmlspecialchars($_POST['login'],ENT_QUOTES,PLX_CHARSET)):'', 'text', '18-255');?><br />
		<label>Mot de passe&nbsp;:</label>
		<?php plxUtils::printInput('pwd', '', 'password','18-255');?><br />
		<input type="submit" value="Valider" />
	</fieldset>
</form>

<p class="auth_return"><a href="<?php echo PLX_ROOT; ?>">Retour au site</a> | G&eacute;n&eacute;r&eacute; par <a href="http://pluxml.org">Pluxml</a></p>

</body>
</html>